patch:
  translator/dictionary: rime_ice.custom

  switches:
    - name: ascii_mode
      states: [中, 英]
    - name: ascii_punct
      states: ["中标", "英标"]
    - name: traditionalization
      states: [简, 繁]
    - name: emoji
      states: [表情关, 表情开]
    - name: full_shape
      states: [半角, 全角]
    - name: search_single_char # search.lua 的功能开关，辅码查词时是否单字优先
      abbrev: [词, 单]
      states: [正常, 单字]
  

  reduce_english_filter:
    mode: custom
    idx: 2
    words: [
      aid, ann,
      bail, bait, bam, band, bans, bat, bay, bend, bent, benz, bib, bid, bien, biz, boc, bop, bos, bud, buf, bus, bach, bench, bush, bog,
      cab, cad, cain, cam, cans, cap, cef, chad, chan, chap, chef, cher, chew, chic, chin, chip, chit, coup, cum, cunt, cur, couch,
      dab, dag, dal, dam, dent, dew, dial, diet, dim, din, dip, dis, dit, doug, dub, dug, dunn, don,
      fab, fax, fob, fog, foul, fur, fend,
      gag, gail, gain, gal, gam, gaol, ged, gel, ger, guam, gus, gut,
      hail, ham, hank, hans, hat, hay, heil, heir, hem, hep, hex, hud, hum, hung, hunk, hut, hush,
      jim, jug,
      kat, key,
      lab, lad, lag, laid, lam, laos, lap, lat, lax, lay, led, leg, lex, liam, lib, lichen, lid, lied, lien, lies, linn, lip, lit, liz, lob, lug, lund, lung, lux, lash, loch, lush,
      mag, maid, mann, mar, mat, med, mel, mend, mens, ment, mil, mins, mint, mob, moc, mop, mos, mot, mud, mug, mum, mesh,
      nap, nat, nay, neil, nib, nip, noun, nous, nun, nut, nail, nash,
      pac, paid, pail, pain, pair, pak, pal, pam, pans, pant, pap, par, pat, paw, pax, pens, pic, pier, pies, pins, pint, pit, pix, pod, pop, pos, pot, pour, pow, pub, pinch, pouch,
      rand, rant, rent, rep, res, ret, rex, rib, rid, rig, rim, rub, rug, rum, runc, runs, ranch,
      sac, sail, sal, sam, sans, sap, saw, sax, sew, sham, shaw, shin, sig, sin, sip, sis, suit, sung, suns, sup, sur, sus, ship,
      tad, tail, taj, tar, tax, tec, ted, tel, ter, tex, tic, tied, tier, ties, tim, tin, tit, tour, tout, tum,
      wag, wand, womens, wap, wax, weir, won, went,
      yan, yen,
      zach,
      my, mt, dj, as, js, cs, ak, ps, cd, cn, hk, bt, pk, ml
    ]


  "speller/algebra":
    - derive/^([zcs])h/$1/
    - derive/^([zcs])([^h])/$1h$2/
    - derive/ang$/an/
    - derive/an$/ang/
    - derive/eng$/en/
    - derive/en$/eng/
    - derive/in$/ing/
    - derive/ing$/in/
    - derive/ian$/iang/
    - derive/iang$/ian/
    - derive/uan$/uang/
    - derive/uang$/uan/
    - derive/ong$/on/
    - derive/on$/ong/
    #-----------------------------------
    - erase/^hm$/
    - erase/^m$/
    - erase/^n$/
    - erase/^ng$/
    - abbrev/^([a-z]).+$/$1/
    - abbrev/^([zcs]h).+$/$1/
    - abbrev/^([a-z]i).+$/$1/
    - derive/^([nl])ve$/$1ue/
    - derive/^([jqxy])u/$1v/
    - derive/^([nl])ue$/$1ve/
    - derive/^([jqxy])v/$1u/
    - derive/([zcs])h(a|e|i|u|ai|ei|an|en|ou|uo|ua|un|ui|uan|uai|uang|ang|eng|ong)$/h$1$2/
    - derive/([wfghk])ai$/$1ia/
    - derive/([wfghkz])ei$/$1ie/
    - derive/([jqx])ie$/$1ei/
    - derive/([rtypsdghklzcbnm])ao$/$1oa/
    - derive/([ypfm])ou$/$1uo/
    - derive/([wrtypsdfghklzcbnm])ang$/$1nag/
    - derive/([wrtypsdfghklzcbnm])ang$/$1agn/
    - derive/([wrtpsdfghklzcbnm])eng$/$1neg/
    - derive/([wrtpsdfghklzcbnm])eng$/$1egn/
    - derive/([qtypdjlxbnm])ing$/$1nig/
    - derive/([qtypdjlxbnm])ing$/$1ign/
    - derive/([rtysdghklzcn])ong$/$1nog/
    - derive/([rtysdghklzcn])ong$/$1ogn/
    - derive/([qtpdjlxbnm])iao$/$1ioa/
    - derive/([qtpdjlxbnm])iao$/$1oia/
    - derive/([rtsghkzc])ui$/$1iu/
    - derive/([qjlxnm])iu$/$1ui/
    - derive/([qjlxn])iang$/$1aing/
    - derive/([qjlxn])iang$/$1inag/
    - derive/([g|k|h|zh|sh])ua$/$1au/
    - derive/([g|h|k|zh|ch|sh])uai$/$1aui/
    - derive/([qrtysdghjklzxcn])uan$/$1aun/
    - derive/([nlyjqx])ue$/$1eu/
    - derive/([g|h|k|zh|ch|sh])uang$/$1aung/
    - derive/([g|h|k|zh|ch|sh])uang$/$1uagn/
    - derive/([g|h|k|zh|ch|sh])uang$/$1unag/
    - derive/([g|h|k|zh|ch|sh])uang$/$1augn/
    - derive/([jqx])iong$/$1inog/
    - derive/([jqx])iong$/$1oing/
    - derive/([jqx])iong$/$1iogn/
    - derive/([jqx])iong$/$1oign/
    - derive/([rtsdghkzc])o(u|ng)$/$1o/
    - derive/(.+)ong$/$1on/
    - derive/([tl])eng$/$1en/
    - derive/([qwrtypsdfghjklzxcbnm])([aeio])ng$/$1ng/
